Edge (Linux) Crashes on selecting autofill option in input

New Contributor

PopOS - Edge, Version 105.0.1300.1

 

When navigating to a page with an autofill input (such as https://www.w3schools.com/tags/tryit.asp?filename=tryhtml_input_test), after selecting an option, the whole browser crashes.

 

When launching via the terminal, this is the output that I see:

➜  ~ /opt/microsoft/msedge-dev/microsoft-edge-dev
[296321:296321:0708/102719.358540:ERROR:assistance_home_client.cc(23)] File path /home/jrjurman/.config/microsoft-edge-dev/Default
[296321:296321:0708/102720.368932:ERROR:object_proxy.cc(623)] Failed to call method: org.freedesktop.ScreenSaver.GetActive: object_path= /org/freedesktop/ScreenSaver: org.freedesktop.DBus.Error.NotSupported: This method is not implemented
[296321:296321:0708/102720.372348:ERROR:object_proxy.cc(623)] Failed to call method: org.gnome.ScreenSaver.GetActive: object_path= /: org.freedesktop.DBus.Error.UnknownMethod: Object does not exist at path “/”
[296321:296321:0708/102721.437848:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: 32212d1b-ab2f-4638-88e2-17bc867ed1f1 update.entity.id: 32212d1b-ab2f-4638-88e2-17bc867ed1f1
[296321:296321:0708/102721.437943:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: 176eef3d-92b0-482a-a335-01a56f368d6e update.entity.id: 176eef3d-92b0-482a-a335-01a56f368d6e
[296321:296321:0708/102721.437975:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: 8d995e2e-5fd5-4fda-940f-ecb0ecd2988c update.entity.id: 8d995e2e-5fd5-4fda-940f-ecb0ecd2988c
[296321:296321:0708/102721.437992:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: a4209e8d-60f9-4b27-96aa-a1db17f435a0 update.entity.id: a4209e8d-60f9-4b27-96aa-a1db17f435a0
[296321:296321:0708/102721.438009:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: bbfd2c54-8491-4dbb-a341-99fe6f54a869 update.entity.id: bbfd2c54-8491-4dbb-a341-99fe6f54a869
[296321:296321:0708/102721.438024:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: dda77635-eec0-4e7e-b56c-3c2210d80e27 update.entity.id: dda77635-eec0-4e7e-b56c-3c2210d80e27
[296321:296321:0708/102721.438043:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: 3e4596b4-39f5-4c1c-b6ed-0289f991549c update.entity.id: 3e4596b4-39f5-4c1c-b6ed-0289f991549c
[296321:296321:0708/102721.438058:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: d1c21ac0-da0a-4aee-a3d9-e1f50b18924a update.entity.id: d1c21ac0-da0a-4aee-a3d9-e1f50b18924a
[296321:296321:0708/102721.438074:ERROR:processor_entity.cc(171)] Metadata has an exisiting server id that will be overwritten with the current update entity id.metadata server_id: 7a444d83-02fc-4723-b121-c39158d21a28 update.entity.id: 7a444d83-02fc-4723-b121-c39158d21a28
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
[296321:296345:0708/102756.579945:ERROR:commit_contribution_impl.cc(201)] Server reports commit message is invalid.
[296321:296345:0708/102756.580016:ERROR:commit_contribution_impl.cc(201)] Server reports commit message is invalid.
[296321:296345:0708/102756.580051:ERROR:commit_contribution_impl.cc(201)] Server reports commit message is invalid.
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
Warning: disabling flag --expose_wasm due to conflicting flags
[0708/102801.150524:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0708/102801.151019:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0708/102801.158732:WARNING:minidump_to_upload_parameters.cc(36)] duplicate key guid, discarding value d11e10f5e72049689b59c9e393c2cd1f
[0708/102802.017572:ERROR:directory_reader_posix.cc(42)] opendir /home/jrjurman/.config/microsoft-edge-dev/Crash Reports/attachments/c5fc98ac-15da-491e-9780-b775778fec13: No such file or directory (2)
[0708/102802.023189:WARNING:minidump_to_upload_parameters.cc(36)] duplicate key guid, discarding value d11e10f5e72049689b59c9e393c2cd1f
[1]    296321 trace trap (core dumped)  /opt/microsoft/msedge-dev/microsoft-edge-dev
➜  ~ 

 

21 Replies

I have the issue but it's any autofill choice and even some list choices. I'm on Fedora 36. 

Same issue here using Gentoo. Any autofill crashes Edge. @jtremblay 

Same here on Debian 11 with Version 104.0.1293.14 (Official build) beta (64-bit). Not sure when it started since I was out of town and haven't been on my PC in a bit. Browser will crash sometimes even when the autofill option is ignore.
I'm facing the same issue with similar logs on my Arch build
Facing same issue in Manjaro with edge beta 104.0.1293.14
Sometimes it even crash before I chose anything.

@jrjurman 

I'm having the same issue. Any mouse interaction with the auto-fill popup causes Edge to crash. Here is my terminal output, it looks very similar to yours:

➜  ~ microsoft-edge-dev
[4716:4716:0715/073844.744783:ERROR:assistance_home_client.cc(23)] File path /home/isaiah/.config/microsoft-edge-dev/Default
[4716:4716:0715/073845.794029:ERROR:object_proxy.cc(623)] Failed to call method: org.freedesktop.ScreenSaver.GetActive: object_path= /org/freedesktop/ScreenSaver: org.freedesktop.DBus.Error.NotSupported: This method is not implemented
[0715/073856.076503:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0715/073856.080493:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0715/073856.085928:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0715/073856.144645:WARNING:minidump_to_upload_parameters.cc(36)] duplicate key guid, discarding value 9b849fe6272a485e82cc391172c315d7
[0715/073857.786707:ERROR:directory_reader_posix.cc(42)] opendir /home/isaiah/.config/microsoft-edge-dev/Crash Reports/attachments/a91c0934-0814-473c-8cdf-f09037db104a: No such file or directory (2)
[0715/073857.790793:WARNING:minidump_to_upload_parameters.cc(36)] duplicate key guid, discarding value 9b849fe6272a485e82cc391172c315d7
[1]    4716 trace trap (core dumped)  microsoft-edge-dev
Same issue here. I'm on Ubuntu 22.04 with edge 104.0.1293.21 (正式版本) beta (64 位)
Still exists on Version 104.0.1293.25 (Official build) beta (64-bit). I was hopeful when I saw there was an update and then my hopes were dashed, haha.

Just to be certain that it wasn't related to anything cached, I removed Edge, deleted the ~.config/microsoft-edge-dev folder. Rebooted (just in case), Reinstalled Edge and signed back into corporate AD. As soon as my profile sync'd up,I tried to log into a few work websites. If I use the tab and arrows to navigate the login , everything worked as expected. the moment I try the mouse and choices Edge crashed. 

This is a big issue for me that has not been fixed for a while. I saw it using an early dev version and shifted to beta. Now I am seeing it on beta.

Happens on: Version 104.0.1293.25 (Official build) beta (64-bit) and Version 105.0.1321.0 (Official build) dev (64-bit)

Does not happen on Version 103.0.1264.62 (Official build) (64-bit)

@Crupanshu 

Seems mostly fixed with 105.0.1321.0-1 dev build in arch. for most of the cases.

 

@jrjurman

I would agree. my current install
Version 105.0.1321.0 (Official build) dev (64-bit)
hasn't crashed on an auto-fill action today. :D
The same issue on ubuntu.

+1 on Fedora 36 and Edge 104.0.1293.35 (Official build) beta (64-bit). Already, reported multiple times.

Same issue.
Edge: Version 104.0.1293.35 (Official build) beta (64-bit)
Ubuntu: 22.04
Kernel: 5.15.0-41-generic x86_64

Seems fixed on Gentoo now. 

it's been a week now. this version is working fine!
Version 105.0.1329.1 (Official build) dev (64-bit)
Yay! Finally fixed with Version 104.0.1293.41 (Official build) beta (64-bit).
Comrirm fixed in 104.0.1293.41